CADDY-HASH-PASSWORD(1)

NAME

caddy-hash-password - Hashes a password and writes base64

SYNOPSIS

caddy hash-password [--algorithm <name>] [--salt <string>] [--plaintext <password>]

DESCRIPTION

Convenient way to hash a plaintext password. The resulting hash is written to stdout as a base64 string. --plaintext, when omitted, will be read from stdin. If Caddy is attached to a controlling tty, the plaintext will not be echoed. --algorithm may be bcrypt or scrypt. If script, the default parameters are used. Use the --salt flag for algorithms which require a salt to be provided (scrypt).

OPTIONS

--algorithm
    Name of the hash algorithm

--plaintext
    The plaintext password

--salt
    The password salt

SEE ALSO

caddy-adapt(1), caddy-caddy(1), caddy-environ(1), caddy-file-server(1), caddy-fmt(1), caddy-help(1), caddy-list-modules(1), caddy-man(1), caddy-reload(1), caddy-reverse-proxy(1), caddy-run(1), caddy-start(1), caddy-stop(1), caddy-trust(1), caddy-untrust(1), caddy-validate(1), caddy-version(1), caddy(1)

DOCUMENTATION

Full documentation is available at: https://caddyserver.com/docs/

VERSION

2.4.5-1

BUGS

Report Bugs to: https://github.com/caddyserver/caddy

COPYRIGHT

(c) Matthew Holt and The Caddy Authors